# Generated by Django 3.2.15 on 2023-01-23 16:34

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('i18n', '0002_auto_20210831_1514'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Tour',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('code', models.CharField(max_length=255, verbose_name='code')),
                ('site', models.URLField(verbose_name='site')),
                ('title', models.CharField(max_length=255, verbose_name='title')),
                ('description', models.TextField(blank=True, null=True, verbose_name='description')),
                ('info', models.JSONField(blank=True, null=True, verbose_name='info')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='tour_tour_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('language', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='tours', to='i18n.language', verbose_name='language')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='tour_tour_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
            ],
            options={
                'verbose_name': 'tour',
                'verbose_name_plural': 'tours',
                'ordering': ('ordering', 'title'),
                'permissions': (('list_tour', 'Can list tour'), ('detail_tour', 'Can detail tour'), ('disable_tour', 'Can disable tour')),
                'unique_together': {('code', 'site', 'language')},
            },
        ),
        migrations.CreateModel(
            name='Box',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('title', models.CharField(max_length=255, verbose_name='title')),
                ('body', models.TextField(verbose_name='body')),
                ('position', models.CharField(max_length=255, verbose_name='position')),
                ('buttons', models.JSONField(verbose_name='buttons')),
                ('attrs', models.JSONField(blank=True, null=True, verbose_name='attrs')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='tour_box_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='tour_box_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
                ('tour', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='boxes', to='tour.tour', verbose_name='tour')),
            ],
            options={
                'verbose_name': 'box',
                'verbose_name_plural': 'boxes',
                'ordering': ('ordering', 'title'),
                'permissions': (('list_box', 'Can list box'), ('detail_box', 'Can detail box'), ('disable_box', 'Can disable box')),
            },
        ),
    ]
